#include "partition.h"
#include <bits/stdc++.h>

using namespace  std;

const int maxn=1e5+10;
const int mod=1e9+7;


std::vector<int> solve(std::vector<int> A)
{
    int n=A.size();
    vector<int>ans;
    vector<pair<int,int>>eks;
    for (int i=0;i<n;i++) {
        eks.push_back({A[i],i});
    }
    for (int idx=0;idx<eks.size()/2;idx++) {
        ans.push_back(eks[idx].second);
    }
    ans.push_back(eks.back().second);
    for (int idx=eks.size()/2;idx<eks.size()-1;idx++) {
        ans.push_back(eks[idx].second);
    }
    if (ans.size()%2==0) {
        swap(ans[ans.size()/2],ans[(ans.size()/2)-1]);
    }
    return ans;
}